Install a plugin

Base URL
https://{kibana_url}
  • POST /api/agent_builder/plugins/install
  • POST /s/{space_id}/api/agent_builder/plugins/install
Auth

Install a plugin from a GitHub Claude plugin URL or a direct ZIP URL. Plugins bundle agent capabilities such as skills. To learn more about Agent Builder plugins, refer to the plugins documentation.

Required privileges

Privileges agentBuilder:write

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

plugin_name string

Optional name override for the plugin. Defaults to the manifest name.

url string required

URL to install the plugin from (GitHub URL or direct zip URL).

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}